package com.yonge.cooleshow.bbs.dto;

import com.yonge.cooleshow.bbs.entity.BbsArticle;
import io.swagger.annotations.ApiModel;
import org.apache.commons.beanutils.BeanUtils;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsArticleDto对象", description = "文章数据传输对象")
public class BbsArticleDto extends BbsArticle{
	private static final long serialVersionUID = 1L;
    
    public BbsArticleDto buildDto(BbsArticle bbsArticle){
        try {
            BeanUtils.copyProperties(this,bbsArticle);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return this;
    }

}